Loading...
Searching...
No Matches
gr::msg_edge Class Reference

Class representing a msg connection between to graph msg endpoints. More...

`#include <gnuradio/flowgraph.h>`

## Public Member Functions

| msg_edge ()
| msg_edge (const msg_endpoint &src, const msg_endpoint &dst)
| ~msg_edge ()
const msg_endpoint & | src () const
const msg_endpoint & | dst () const
std::string | identifier () const

## Detailed Description

Class representing a msg connection between to graph msg endpoints.

## Constructor & Destructor Documentation

## msg_edge() [1/2]

gr::msg_edge::msg_edge | ( |  | ) |

inline

## msg_edge() [2/2]

gr::msg_edge::msg_edge | ( | const msg_endpoint & | src,
|  | const msg_endpoint & | dst )

inline

References dst(), and src().

## ~msg_edge()

gr::msg_edge::~msg_edge | ( |  | ) |

inline

## Member Function Documentation

## dst()

const msg_endpoint & gr::msg_edge::dst | ( |  | ) | const

inline

Referenced by msg_edge().

## identifier()

std::string gr::msg_edge::identifier | ( |  | ) | const

inline

## src()

const msg_endpoint & gr::msg_edge::src | ( |  | ) | const

inline

Referenced by msg_edge().

The documentation for this class was generated from the following file:

- flowgraph.h